import sys

args = sys.argv[1:]
input_file = args[0]
rel_map = args[1]
col_nr = int(args[2])

old_to_new = dict()

with open(rel_map) as f:
    for line in f:
        parts = line.strip().split()
        old_to_new[parts[0]] = parts[1]

with open(input_file) as f:
    for line in f:
        parts = line.strip().split("\t")
        old = parts[col_nr]
        if old in old_to_new:
            parts[col_nr] = old_to_new[old]
            print("\t".join(parts))